Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2020 年 12 月

2020 年 12 月 7 日公開 | 2019 年 12 月 10 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2020-12-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、メディア フレームワーク コンポーネントで発見された重大なセキュリティの脆弱性です。細工したファイルにより、特権プロセス内で任意のコードをリモートで実行される危険性があります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームGoogle Play プロテクトのようなサービスによる保護でリスクを軽減する手段について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害となる可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2020-12-01 の脆弱性の詳細

以下に、パッチレベル 2020-12-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の説明に続いて、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を表にまとめています。問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID にその情報へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。 Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0099
A-141745510 EoP 8.0、8.1、9、10
CVE-2020-0294
A-154915372 EoP 8.0、8.1、9、10
CVE-2020-0440
A-162627132 [2] EoP 11
CVE-2020-0459
A-159373687 [2] [3] [4] [5] ID 8.0、8.1、9、10
CVE-2020-0464
A-150371903 [2] ID 10
CVE-2020-0467
A-168500792 ID 8.1、9、10、11
CVE-2020-0468
A-158484422 ID 10、11
CVE-2020-0469
A-168692734 DoS 11

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0458
A-160265164 [2] RCE 重大 8.0、8.1、9、10
CVE-2020-0470
A-166268541 ID 10、11

システム

システムの最も重大な脆弱性により、追加の実行権限を必要とすることなく、リモートで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0460
A-163413737 ID 11
CVE-2020-0463
A-169342531 ID 8.0、8.1、9、10、11
CVE-2020-15802
A-158854097 ID 8.0、8.1、9、10、11

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2020-12-05 の脆弱性の詳細

以下に、パッチレベル 2020-12-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の説明に続いて、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を表にまとめています。問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID にその情報へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。

カーネル コンポーネント

カーネル コンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-0444
A-150693166
アップストリーム カーネル
EoP カーネル監査システム
CVE-2020-0465
A-162844689
アップストリーム カーネル [2]
EoP カーネル
CVE-2020-0466
A-147802478
アップストリーム カーネル [2]
EoP I/O サブシステム

Broadcom コンポーネント

これらの脆弱性は Broadcom コンポーネントに影響を与えます。詳細については Broadcom から直接入手できます。これらの問題の重大度の評価は、Broadcom から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-0016
A-171413483 * Broadcom ミドルウェア
CVE-2020-0019
A-171413798 * Broadcom ミドルウェア

MediaTek コンポーネント

これらの脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-0455
A-170372514
M-ALPS05324771 *
vcu
CVE-2020-0456
A-170378843
M-ALPS05304125 *
vcu
CVE-2020-0457
A-170367562
M-ALPS05304170 *
vcu

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-11225
A-168050601
QC-CR#2724407
重大 WLAN
CVE-2020-11146
A-157906412
QC-CR#2648596
カーネル
CVE-2020-11167
A-168049959
QC-CR#2434229 [2]
Bluetooth
CVE-2020-11185
A-168050580
QC-CR#2658462
WLAN
CVE-2020-11217
A-168051734
QC-CR#2710036
音声

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-3685
A-157905813 * 重大 クローズドソース コンポーネント
CVE-2020-3686
A-157906329 * 重大 クローズドソース コンポーネント
CVE-2020-3691
A-157906171 * 重大 クローズドソース コンポーネント
CVE-2020-11136
A-157905860 * 重大 クローズドソース コンポーネント
CVE-2020-11137
A-157905869 * 重大 クローズドソース コンポーネント
CVE-2020-11138
A-157905657 * 重大 クローズドソース コンポーネント
CVE-2020-11140
A-157906530 * 重大 クローズドソース コンポーネント
CVE-2020-11143
A-157905814 * 重大 クローズドソース コンポーネント
CVE-2020-11119
A-168051735 * クローズドソース コンポーネント
CVE-2020-11139
A-157905659 * クローズドソース コンポーネント
CVE-2020-11144
A-157906670 * クローズドソース コンポーネント
CVE-2020-11145
A-157905870 * クローズドソース コンポーネント
CVE-2020-11179
A-163548240 * クローズドソース コンポーネント
CVE-2020-11197
A-168050278 * クローズドソース コンポーネント
CVE-2020-11200
A-168049958 * クローズドソース コンポーネント
CVE-2020-11212
A-168050603 * クローズドソース コンポーネント
CVE-2020-11213
A-168050861 * クローズドソース コンポーネント
CVE-2020-11214
A-168049138 * クローズドソース コンポーネント
CVE-2020-11215
A-168049960 * クローズドソース コンポーネント
CVE-2020-11216
A-168050579 * クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答については、以下をご確認ください。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2020-12-01 以降では、セキュリティ パッチレベル 2020-12-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2020-12-05 以降では、セキュリティ パッチレベル 2020-12-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2020-12-01]
  • [ro.build.version.security_patch]:[2020-12-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2020-12-01 と一致する日付文字列が含まれます。セキュリティ アップデートをインストールする方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチ レベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチ レベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2020-12-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2020-12-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2020 年 12 月 7 日 情報公開
1.1 2020 年 12 月 10 日 公開情報を改訂し AOSP リンクを追加